package TableNested;

import java.util.ArrayList;

/**
 * All you need to do for this microlab is take the Table and Entry from the last one and make Entry a nested class.
 * Think about how nested classes should work with generics.
 */
public class TableNested<K, V> {

    private ArrayList<Entry> entries = new ArrayList<Entry>();

    public TableNested() {
    }

    public V get(K foo) {
        if(entries!=null){
            for(Entry entry : entries){
                if(entry.getKey().equals(foo)){
                    return (V) entry.getValue();
                }
            }
        }
        return null;
    }

    public void put(K foo, V i) {
        if(entries!=null) {
            remove(foo);
            entries.add(new Entry(foo, i));
        }
    }

    public void remove(K foo) {
        if(entries!=null){
            for(Entry entry : entries){
                if(entry.getKey().equals(foo)){
                    entries.remove(entry);
                    break;
                }
            }
        }

    }
    public class Entry<K, V> {
        private K key;
        private V value;

        public Entry(K key, V value) {
            this.key = key;
            this.value = value;
        }

        public K getKey() {
            return key;
        }

        public V getValue() {
            return value;
        }

    }
}
